Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Variables
img.h File Reference
`#include "memry.h"`

Go to the source code of this file.

## Classes

class | IMAGE
class | IMAGELINE

## Macros

#define | MAXIMAGEWIDTH (900*14)
#define | MAXIMAGEHEIGHT (900*14)
#define | COMPUTE_IMAGE_XDIM(xsize, bpp) ((bpp)>8 ? ((xsize)*(bpp)+7)/8 :((xsize)+8/(bpp)-1)/(8/(bpp)))

## Typedefs

typedef inT8(* | IMAGE_OPENER )(int, inT32 *, inT32 *, inT8 *, inT8 *, inT32 *)
typedef inT8(* | IMAGE_READER )(int, uinT8 *, inT32, inT32, inT8, inT32)
typedef inT8(* | IMAGE_WRITER )(int, uinT8 *, inT32, inT32, inT8, inT8, inT32)
typedef uinT8 * | COLOUR_PIX

## Enumerations

enum | COLOUR_PIX_NAME { RED_PIX, GREEN_PIX, BLUE_PIX }

## Variables

class DLLSYM | IMAGELINE

## Macro Definition Documentation

#define COMPUTE_IMAGE_XDIM | ( |  | xsize,
|  |  | bpp
| ) |  | ((bpp)>8 ? ((xsize)*(bpp)+7)/8 :((xsize)+8/(bpp)-1)/(8/(bpp)))

Definition at line 33 of file img.h.

#define MAXIMAGEHEIGHT (900*14)

14inch * 400dpi

Definition at line 31 of file img.h.

#define MAXIMAGEWIDTH (900*14)

14inch * 400dpi

Definition at line 28 of file img.h.

## Typedef Documentation

typedef uinT8* COLOUR_PIX

array of colours

Definition at line 40 of file img.h.

typedef inT8(* IMAGE_OPENER)(int, inT32 *, inT32 *, inT8 *, inT8 *, inT32 *)

Definition at line 35 of file img.h.

typedef inT8(* IMAGE_READER)(int, uinT8 *, inT32, inT32, inT8, inT32)

Definition at line 36 of file img.h.

typedef inT8(* IMAGE_WRITER)(int, uinT8 *, inT32, inT32, inT8, inT8, inT32)

Definition at line 37 of file img.h.

## Enumeration Type Documentation

enum COLOUR_PIX_NAME

Enumerator:

  RED_PIX |
  GREEN_PIX |
  BLUE_PIX |

Definition at line 41 of file img.h.

{
RED_PIX,
GREEN_PIX,
BLUE_PIX
};

## Variable Documentation

class DLLSYM IMAGELINE

Definition at line 48 of file img.h.